# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/firmware/thead,th1520-aon.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: T-HEAD TH1520 AON (Always-On) Firmware

description: |
  The Always-On (AON) subsystem in the TH1520 SoC is responsible for managing
  low-power states, system wakeup events, and power management tasks. It is
  designed to operate independently in a dedicated power domain, allowing it to
  remain functional even during the SoC's deep sleep states.

  At the heart of the AON subsystem is the E902, a low-power core that executes
  firmware responsible for coordinating tasks such as power domain control,
  clock management, and system wakeup signaling. Communication between the main
  SoC and the AON subsystem is handled through a mailbox interface, which
  enables message-based interactions with the AON firmware.

maintainers:
  - Michal Wilczynski <m.wilczynski@samsung.com>

properties:
  compatible:
    const: thead,th1520-aon

  mboxes:
    maxItems: 1

  mbox-names:
    items:
      - const: aon

  "#power-domain-cells":
    const: 1

required:
  - compatible
  - mboxes
  - mbox-names
  - "#power-domain-cells"

additionalProperties: false

examples:
  - |
    aon: aon {
        compatible = "thead,th1520-aon";
        mboxes = <&mbox_910t 1>;
        mbox-names = "aon";
        #power-domain-cells = <1>;
    };
